From: Leonard Crestez <cdleonard@gmail.com>
To: Jakub Kicinski <kuba@kernel.org>, Shuah Khan <shuah@kernel.org>,
David Ahern <dsahern@kernel.org>
Cc: "David S. Miller" <davem@davemloft.net>,
Ido Schimmel <idosch@nvidia.com>,
Seth David Schoen <schoen@loyalty.org>,
netdev@vger.kernel.org, linux-kselftest@vger.kernel.org,
linux-kernel@vger.kernel.org
Subject: [PATCH 02/11] selftests: net/fcnal: Mark unknown -t or TESTS value as error
Date: Wed, 6 Oct 2021 14:47:18 +0300 [thread overview]
Message-ID: <ba13bcf10f6deecadaf8a243993a273dd2761422.1633520807.git.cdleonard@gmail.com> (raw)
In-Reply-To: <cover.1633520807.git.cdleonard@gmail.com>
Right now unknown values are completely ignored which is very confusing
and lead to a subset of tests being skipped because of a mispelling.
Signed-off-by: Leonard Crestez <cdleonard@gmail.com>
---
tools/testing/selftests/net/fcnal-test.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index 2839bed91afa..43ea5c878a85 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -4005,10 +4005,13 @@ do
# setup namespaces and config, but do not run any tests
setup) setup; exit 0;;
vrf_setup) setup "yes"; exit 0;;
help) echo "Test names: $TESTS"; exit 0;;
+ *)
+ echo "Unknown test '$t'"
+ exit 1
esac
done
cleanup 2>/dev/null
--
2.25.1
next prev parent reply other threads:[~2021-10-06 11:48 UTC|newest]
Thread overview: 30+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-10-06 11:47 [PATCH 00/11] selftests: Improve nettest and net/fcnal-test.sh Leonard Crestez
2021-10-06 11:47 ` [PATCH 01/11] selftests: net/fcnal: Fix {ipv4,ipv6}_bind not run by default Leonard Crestez
2021-10-06 14:37 ` David Ahern
2021-10-06 11:47 ` Leonard Crestez [this message]
2021-10-06 14:37 ` [PATCH 02/11] selftests: net/fcnal: Mark unknown -t or TESTS value as error David Ahern
2021-10-06 11:47 ` [PATCH 03/11] selftests: net/fcnal: Non-zero exit on failures Leonard Crestez
2021-10-06 14:37 ` David Ahern
2021-10-06 11:47 ` [PATCH 04/11] selftests: net/fcnal: Use accept_dad=0 to avoid setup sleep Leonard Crestez
2021-10-06 14:38 ` David Ahern
2021-10-06 11:47 ` [PATCH 05/11] selftests: net/fcnal: kill_procs via spin instead of sleep Leonard Crestez
2021-10-06 14:45 ` David Ahern
2021-10-06 21:16 ` Leonard Crestez
2021-10-06 11:47 ` [PATCH 06/11] selftests: net/fcnal: Do not capture do_run_cmd in verbose mode Leonard Crestez
2021-10-06 14:48 ` David Ahern
2021-10-06 11:47 ` [PATCH 07/11] selftests: nettest: Implement -k to fork after bind or listen Leonard Crestez
2021-10-06 11:47 ` [PATCH 08/11] selftests: net/fcnal: Replace sleep after server start with -k Leonard Crestez
2021-10-06 14:54 ` David Ahern
2021-10-06 21:35 ` Leonard Crestez
2021-10-07 1:22 ` David Ahern
2021-11-10 13:54 ` Leonard Crestez
2021-10-06 11:47 ` [PATCH 09/11] selftests: nettest: Convert timeout to miliseconds Leonard Crestez
2021-10-06 14:56 ` David Ahern
2021-10-06 11:47 ` [PATCH 10/11] selftests: nettest: Add NETTEST_CLIENT,SERVER}_TIMEOUT envvars Leonard Crestez
2021-10-06 14:59 ` David Ahern
2021-10-06 11:47 ` [PATCH 11/11] selftests: net/fcnal: Reduce client timeout Leonard Crestez
2021-10-06 15:01 ` David Ahern
2021-10-06 21:26 ` Leonard Crestez
2021-10-07 1:17 ` David Ahern
2021-10-07 20:52 ` Leonard Crestez
2021-10-08 3:01 ` David Ahern
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=ba13bcf10f6deecadaf8a243993a273dd2761422.1633520807.git.cdleonard@gmail.com \
--to=cdleonard@gmail.com \
--cc=davem@davemloft.net \
--cc=dsahern@kernel.org \
--cc=idosch@nvidia.com \
--cc=kuba@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-kselftest@vger.kernel.org \
--cc=netdev@vger.kernel.org \
--cc=schoen@loyalty.org \
--cc=shuah@kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Powered by JetHome